#
# spec file for package mate-menu
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   mate_menu
%define _rev    6b637f9272b2
Name:           mate-menu
Version:        5.7.1
Release:        2.3
Summary:        Advanced MATE menu
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://bitbucket.org/ubuntu-mate/mate-menu
Source:         https://bitbucket.org/ubuntu-mate/%{name}/get/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE 0001-xterm-no-symlink-dep.patch sor.alexei@meowr.ru -- Remove dependency on x-terminal-emulator Debian's symlink.
Patch0:         0001-xterm-no-symlink-dep.patch
# PATCH-FEATURE-OPENSUSE 0002-yast2-software.patch sor.alexei@meowr.ru -- Use YaST2 and GNOME PackageKit package managers.
Patch1:         0002-yast2-software.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  python >= 2.7
BuildRequires:  python-distutils-extra
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
Requires:       glib2-tools
Requires:       gvfs
Requires:       mate-menus
Requires:       mozo
Requires:       python-configobj
Requires:       python-gobject
Requires:       python-mate-menus
Requires:       python-xdg
Requires:       python-xlib
Requires:       xdg-utils
Recommends:     %{name}-lang
Recommends:     lsb-release
BuildArch:      noarch
%glib2_gsettings_schema_requires
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
Requires:       python-gobject-Gdk
%endif

%description
An advanced menu for MATE. Supports filtering, favourites,
autosession, and many other features.

This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.

%lang_package

%prep
%setup -q -n ubuntu-mate-%{name}-%{_rev}
%patch0 -p1
%patch1 -p1
sed -i 's/su-to-root/xdg-su/g' %{_name}/execute.py

%build
# Nothing to build.

%install
python2 setup.py install \
  --root=%{buildroot}    \
  --prefix=%{_prefix}

%py_compile %{buildroot}%{_libexecdir}/%{name}/
%py_compile %{buildroot}%{_datadir}/%{name}/plugins/
%find_lang %{name}

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{_name}-*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/org.mate.panel.MateMenuApplet.mate-panel-applet
%dir %{_datadir}/dbus-1/
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateMenuAppletFactory.service
%{_mandir}/man?/%{name}.?%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed May  4 2016 sor.alexei@meowr.ru
- Add a missing python-gobject-Gdk dependency.
- Remove useless libmate-desktop-2-17, libmate-panel-applet-4-1
  dependencies.
* Thu Apr 28 2016 sor.alexei@meowr.ru
- Update to version 5.7.1:
  * Fix configuring a custom heading colour (lp#1560332).
  * Display the Software Boutique as package manager if it is
    available (lp#1568170).
  * Ensure the menu is always drawn over existing windows
    (lp#1569563)
- Rebase 0001-xterm-no-symlink-dep.patch, 0002-yast2-software.patch.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 5.7.0 (changes since 5.6.8):
  * Fix mate-menu.py being displayed (lp#1553313).
  * Change window hint to toolbar.
  * Update translations.
- Rebase and rename 0002-xterm-no-symlink-dep.patch to
  0001-xterm-no-symlink-dep.patch.
- Rebase 0002-yast2-software.patch.
* Thu Jan 28 2016 sor.alexei@meowr.ru
- Update to 5.6.8:
  * Fix a crash.
- Remove 0001-fix-path-find.patch: merged upstream.
* Mon Jan 18 2016 sor.alexei@meowr.ru
- Update to 5.6.7:
  * Fix intends in mate-menu execute.py.
  * Do not use mate-folder.png that doesn't exist in freedesktop
    specification.
  * Fix configurator crash due to changes in Gtk 2.24.29.
  * Do not crash if lsb_release is not available (boo#959024).
- Remove 0001-execute-fix.patch, 0001-recent-icon.patch,
  0003-fix-configurator-crash.patch: fixed upstream.
- Add 0001-fix-path-find.patch.
- Only recommend lsb-release.
* Mon Jan 11 2016 sor.alexei@meowr.ru
- Add missing lsb-release and python-gobject dependencies
  (boo#959024).
- Add 0003-fix-configurator-crash.patch: fix crash in mate-menu
  configurator.
* Sun Dec 20 2015 sor.alexei@meowr.ru
- Update to 5.6.6.
- Rebase 0001-execute-fix.patch and 0002-yast2-software.patch.
* Fri May  1 2015 sor.alexei@meowr.ru
- Update to 5.6.5a:
  * Remove utility scripts.
  * Update translations.
* Wed Apr  1 2015 sor.alexei@meowr.ru
- Update to 5.6.5:
  * Update translations.
* Tue Mar 17 2015 sor.alexei@meowr.ru
- Initial package.
